#!/bin/sh
#creddy --verify --cert <cert> [ --attrcert <cert> ]

pwd=`pwd`
eloc=`which creddy | sed 's/\/creddy//'`
if [ "$eloc" = "" ]; then
  echo "ERROR: creddy is not in the search path!!!"
  exit 1
fi

$eloc/creddy --verify --cert Coyote_ID.pem --attrcert Acme_buy_rockets__Acme_preferred_customer_attr.xml
$eloc/creddy --verify --cert Acme_ID.pem --attrcert Acme_buy_rockets__Acme_preferred_customer_attr.xml

$eloc/creddy --verify --cert Acme_private.pem
$eloc/creddy --verify --cert Acme_ID.pem --attrcert bad_attr.xml
$eloc/creddy --verify --cert Acme_buy_rockets__Acme_preferred_customer_attr.xml
$eloc/creddy --verify --cert bad_attr.xml
$eloc/creddy --verify --cert Coyote_ID.pem

$eloc/creddy --verify --cert not_ss.pem
$eloc/creddy --verify --cert not_ss.xml
$eloc/creddy --verify --cert priv.xml
$eloc/creddy --verify --cert PGissuer.pem
$eloc/creddy --verify --cert ProtoGENI.xml
